@import 'CartPage';
@import 'ProductList';
.app {
  font-family: Arial, sans-serif;

  header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;

    h1 {
      margin: 0;
      font-size: 1.5rem;
    }

    .icons {
      display: flex;
      gap: 20px;

      .cart-icon, .favorites-icon {
        display: flex;
        align-items: center;
        gap: 5px;
      }
    }
  }
}
.style-favorite{
  display: grid;  
  gap: 20px;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 100px);
}

.product-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 20px;
  padding: 20px;
}

.product-card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgb(94, 214, 95);

  border-radius: 8px;
  overflow: hidden;
  text-align: center;
  padding: 10px;

  .product-image {
    width: 200px;
    height: 200px;
  }
  
  .buttons-flex{
    display: flex;
    gap: 20px;
  }
  .product-info {
    margin-top: 10px;
    h3 {
      margin: 0;
      font-size: 1.25rem;
    }

    p {
      margin: 5px 0;
   
    }
  }
}.checkout-form {
  margin-top: 20px;

  div {
    margin-bottom: 10px;

    label {
      display: block;
      margin-bottom: 5px;
    }

    input {
      width: 100%;
      padding: 8px;
      box-sizing: border-box;
    }

    .error {
      color: red;
      font-size: 0.875em;
      margin-top: 5px;
    }
  }

  button {
    padding: 10px 20px;
    background-color: #6200ea;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }
}
.my-custom-cart-page{
  display: flex;
  flex-direction: column;
}
.cart-style{
  width: 25px;
  height: 25px;
}
.product-card-content .cards{
  display: flex;
}
.product-card-page{
  background-color: rgb(65, 65, 90);
}
.product-card-details{display: flex;}